Results 1 to 2 of 2

Thread: Easy to downgrade ST2 to ExtJS4 for desktop?

  1. #1
    Sencha User
    Join Date
    Mar 2012
    Posts
    7
    Vote Rating
    0
      0  

    Default Easy to downgrade ST2 to ExtJS4 for desktop?

    I'm building a ST2 application for tablets, and I want to know if it's possible to port the table code to desktop browsers.

    Has anyone gone down this path yet? Please share your experience.

    I imagine that it should be possible since ST2 is built on top of ExtJS. Which mean it should be no work at the model level, just the views and the controllers.

    BTW, I'm only asking for this because ST2 today only works in webkit browsers such as Chrome, and Safari, but not in other HTML5 browsers such as IE9/Firefox/Opera.

    Thanks.

  2. #2
    Sencha - Sr Software Engineer mitchellsimoens's Avatar
    Join Date
    Mar 2007
    Location
    Gainesville, FL
    Posts
    39,551
    Vote Rating
    1271
      0  

    Default

    St2 isn't build on top of Ext JS 4. They shared a core at one point but ST2 furthered the core so now it's not that compatible. Not mentioning the view differences or the syntax differences, configs between the two frameworks aren't the same. For instance, label config on a text field does not work in Ext JS 4, it's fieldLabel. rootProperty in ST2 does not work in Ext JS 4, it's just root.
    Mitchell Simoens @LikelyMitch
    Sencha Inc, Senior Software Engineer
    ________________
    Learn BBCode and use it! Checkout the CODE tag!

    Check out my GitHub, lots of nice things for Ext JS and Sencha Touch
    https://github.com/mitchellsimoens

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •